phing-tasks-ext-pearpackage

# Class: PEAR_PackageFileManager_Fileset Source Location: /tasks/ext/pearpackage/Fileset.php
### Class Overview
Builds list of files for PEAR_PackageFileManager using a Phing FileSet. #### Author(s): Hans Lellelid <hans@xmpl.org> Greg Beaver #### Version: $Revision: 562 $ | ### Methods __construct getFileList mystrucsort setDir
### Class Details [line 35] Builds list of files for PEAR_PackageFileManager using a Phing FileSet. Some code here is taken from PEAR_PackageFileManager_File -- getting results from flat array into the assoc array expected from getFileList(). #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
author: | Greg Beaver
version: | $Revision: 562 $
[ Top ] ### Class Methods ### constructor __construct [line 57]
`PEAR_PackageFileManager_Fileset __construct( PEAR_PackageFileManager $options, array 1)`
Set up the FileSet filelist generator 'project' and 'filesets' are the only options that this class uses. #### Parameters:
array | 1 |
PEAR_PackageFileManager | $options |
[ Top ] ### method getFileList [line 71]
`array getFileList( )`
Generate the <filelist></filelist> section of the package file. This function performs the backend generation of the array containing all files in this package #### Tags:
return: | structure of all files to include
[ Top ] ### method mystrucsort [line 211]
`void mystrucsort( $a, $b)`
#### Parameters:
| $a |
| $b |
[ Top ] ### method setDir [line 188]
`array setDir( array $dir, array $contents)`
Recursively add all the subdirectories of $contents to $dir without erasing anything in $dir #### Tags:
return: | processed $dir
#### Parameters:
array | $dir |
array | $contents |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:57 +0200 by phpDocumentor 1.4.3